# laminas-memory

> This package is considered feature-complete, and is now in **security-only** maintenance mode, following a [decision by the Technical Steering Committee](https://github.com/laminas/technical-steering-committee/blob/2b55453e172a1b8c9c4c212be7cf7e7a58b9352c/meetings/minutes/2020-08-03-TSC-Minutes.md#vote-on-components-to-mark-as-security-only).
> If you have a security issue, please [follow our security reporting guidelines](https://getlaminas.org/security/).
> If you wish to take on the role of maintainer, please [nominate yourself](https://github.com/laminas/technical-steering-committee/issues/new?assignees=&labels=Nomination&template=Maintainer_Nomination.md&title=%5BNOMINATION%5D%5BMAINTAINER%5D%3A+%7Bname+of+person+being+nominated%7D)


[![Build Status](https://github.com/laminas/laminas-memory/workflows/Continuous%20Integration/badge.svg)](https://github.com/laminas/laminas-memory/actions?query=workflow%3A"Continuous+Integration")

laminas-memory manages data in an environment with limited memory.

Memory objects (memory containers) are generated by the memory manager, and
transparently swapped/loaded when required.

For example, if creating or loading a managed object would cause the total memory
usage to exceed the limit you specify, some managed objects are copied to cache
storage outside of memory. In this way, the total memory used by managed objects
does not exceed the limit you need to enforce.

## Installation

Run the following to install this library:

```bash
$ composer require laminas/laminas-memory
```

## Documentation

Browse the documentation online at https://docs.laminas.dev/laminas-memory/

## Support

- [Issues](https://github.com/laminas/laminas-memory/issues/)
- [Chat](https://laminas.dev/chat/)
- [Forum](https://discourse.laminas.dev/)
